# DMG Privacy WP Plugin

Scripts and plugins to retrieve dmgmedia privacy policies from API

# List of website IDs

* 2399 : Associated Newspapers Ltd
* 2565 : DMGK Ltd
* 2556 : MailMedia Inc
* 2628 : New Scientist Ltd
* 2630 : Associated Newspapers (Ireland) Ltd

## Usage

Insert the `[dmgprivacy id=$id]` shortcode into your designated Privacy Policy page.

The shortcode also has the option `url` for debugging endpoints other than the production: https://dmgmedia.co.uk/wp-json/wp/v2/privacy-policy/ and `col` for setting a custom color for the output. 

By default, this plugin will also hook into the `wp_footer` action and print the required inline script and style. However, if you are using a headless setup, you will have to load these yourself from `https://domain.tld/PLUGINS_DIR/dmg-privacy/dmg-privacy-policy.[css|js]`